#pragma semicolon 1
#include <sourcemod>

public Plugin:myinfo = 
{
	name	= "Servers Menu",
	author	= "wS (World-Source.Ru)",
	version	= "1.1"
};

new Handle:g_Menu;

public OnPluginStart()
{
	new Handle:kv = CreateKeyValues("servers");
	if (!FileToKeyValues(kv, "cfg/servers.txt") || !KvGotoFirstSubKey(kv, true))
	{
		CloseHandle(kv);
		SetFailState("Error: cfg/servers.txt (1)");
		return;
	}

	g_Menu = CreateMenu(g_Menu_CallBack);
	SetMenuTitle(g_Menu, "Выберите Сервер:\n \n");

	decl String:address[30], String:name[65];
	do
	{
		if (KvGetSectionName(kv, name, 65))
		{
			KvGetString(kv, "address", address, 30);
			AddMenuItem(g_Menu, address, name);
		}
	}
	while (KvGotoNextKey(kv, true));
	CloseHandle(kv);

	if (GetMenuItemCount(g_Menu) < 1)
	{
		SetFailState("Error: cfg/servers.txt (2)");
		return;
	}

	RegConsoleCmd("servers", servers);
}

public Action:servers(client, args)
{
	if (0 < client <= MaxClients && args < 1) DisplayMenu(g_Menu, client, 0);
	return Plugin_Handled;
}

public g_Menu_CallBack(Handle:menu, MenuAction:action, client, item)
{
	if (action != MenuAction_Select)
		return;

	decl String:address[30];
	if (!GetMenuItem(menu, item, address, 30))
		return;

	DisplayAskConnectBox(client, 10.0, address);
	PrintCenterText(client, "Сервер выбран. Нажмите F3.");
	PrintToChat(client, "\x04Сервер выбран. Нажмите F3.");
}